package com.zm.order.tool.server.dto;

import java.util.Map;

import com.alibaba.fastjson.JSON;

/**
 * @Description 订单履约DTO
 * @Author: ph
 * @Date: 2019/11/15 11:35
 */
public class OrderPerformanceDTO extends OrderOperateDTO {

    /**
     * 履约类型
     */
    private Integer performanceType;

    /**
     * 履约平台
     */
    private String performancePlatform;

    /**
     * 履约信息
     */
    private Map<String, Object> performanceInfoMap;

    public Integer getPerformanceType() {
        return performanceType;
    }

    public void setPerformanceType(Integer performanceType) {
        this.performanceType = performanceType;
    }

    public Map<String, Object> getPerformanceInfoMap() {
        return performanceInfoMap;
    }

    public void setPerformanceInfoMap(Map<String, Object> performanceInfoMap) {
        this.performanceInfoMap = performanceInfoMap;
    }

    public String getPerformancePlatform() {
        return performancePlatform;
    }

    public void setPerformancePlatform(String performancePlatform) {
        this.performancePlatform = performancePlatform;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
